# Uses of Class
java.security.KeyFactory

Packages that use KeyFactory
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyFactory in java.security

Methods in java.security that return KeyFactory
Modifier and Type
Method
Description
`static KeyFactory`
KeyFactory.`getInstance​(String algorithm)`
Returns a KeyFactory object that converts public/private keys of the specified algorithm.
`static KeyFactory`
KeyFactory.`getInstance​(String algorithm, String provider)`
Returns a KeyFactory object that converts public/private keys of the specified algorithm.
`static KeyFactory`
KeyFactory.`getInstance​(String algorithm, Provider provider)`
Returns a KeyFactory object that converts public/private keys of the specified algorithm.